{
  "name": "gitlab-extension",
  "version": "0.5.0",
  "description": "Chrome extension for GitLab to enhance its functionality",
  "main": "board-enhancement.js",
  "scripts": {
    "build": "npm run build:clean && npm run build:parcel && npm run build:copy && node ./scripts/build.js",
    "build:clean": "touch ./dist && rm -r ./dist",
    "build:copy": "rm ./dist/manifest.js* && cp ./src/manifest.json ./dist/manifest.json",
    "build:parcel": "parcel build --no-source-maps ./src/*",
    "lint": "npm run lint:addon && npm run lint:js",
    "lint:addon": "addons-linter ./dist/bundle.zip",
    "lint:js": "eslint ./src/*.js",
    "start": "parcel watch ./src/*",
    "test": "mocha --recursive specs/*.spec.js"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:potato/own-oss/gitlab-details-sidebar.git"
  },
  "author": "potato-webstore-dev@potatolondon.com",
  "license": "MIT",
  "dependencies": {
    "webext-domain-permission-toggle": "^1.0.1",
    "webext-dynamic-content-scripts": "^6.0.4"
  },
  "devDependencies": {
    "addons-linter": "^1.24.0",
    "adm-zip": "^0.4.14",
    "chai": "^4.2.0",
    "eslint": "^6.8.0",
    "mocha": "^8.0.1",
    "parcel-bundler": "^1.12.4",
    "puppeteer": "^3.3.0",
    "sass": "^1.26.5"
  },
  "browserslist": [
    "last 3 Chrome versions",
    "last 3 Firefox versions"
  ]
}
